const AbstractNode = require('./abstract-node');

class InformationNode extends AbstractNode {
  constructor() {
    super();
    this.datum = null;
  }

  getDatum() {
    return this.datum;
  }

  setDatum(datum) {
    this.datum = datum;
  }

  inflate(data) {
    super.inflate(data);
    this.datum = data.datum;
  }

  toString() {
    return JSON.stringify({
      name: this.getName(),
      datum: this.getDatum(),
      id: this.getId(),
      createDate: this.getCreateDate()
    });
  }
}

module.exports = InformationNode;